#ifndef TIMER_INTR_H_
#define TIMER_INTR_H_

#include "xttcps.h"
#include "xscugic.h"

/************************** Variable Definitions *****************************/
XTtcPs         Timer;
XScuGic        Intc;

typedef struct {
	u32 OutputHz;	/* Output frequency */
	XInterval Interval;	/* Interval value */
	u8 Prescaler;	/* Prescaler value */
	u16 Options;	/* Option settings */
} TmrCntrSetup;

/************************** Function Prototypes ******************************/
int TimerInit(XTtcPs *TimerPtr, XScuGic *IntcPtr, u16 TimerId, u16 TimerIntrId);

#endif  /* TIMER_INTR_H_ */ 
